<template>
  <div class="cart">
    <div v-if="totalQuantity">
      <h1 class="">Cart</h1>
      <table>
        <thead>
        <tr>
          <th>Name</th>
          <th>Quantity</th>
          <th>Price</th>
          <th>Remove</th>
        </tr>
        </thead>
        <tr v-for="item in cartItems" :key="item.id" >
          <td>{{item.name}}</td>
          <td>{{item.quantity}}</td>
          <td>{{item.price}}</td>
          <td><button class="button" @click="removeItemFromCart(item)">X</button></td>
        </tr>
        <tr>
          <td>Total:</td>
          <td>{{totalQuantity}}</td>
          <td>{{totalPrice}}</td>
          <td></td>
        </tr>
      </table>
      <br>
      <button class="button" @click="checkout">Checkout</button>
    </div>
    <div v-else>
      <h1>Cart is empty</h1>
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";

export default {
  name: "Cart",
  computed: {
    ...mapGetters("cart", ["cartItems", "totalPrice", "totalQuantity"])
  },
  methods: {
    ...mapActions("cart", ["removeItemFromCart", "checkout"])
  }
};
</script>
